Loading...
Searching...
No Matches
VolumeGeometry Class Reference

Demonstrates volume rendering with an offscreen pass and a fullscreen quad.

`#include <volumegeometry.h>`

Inheritance diagram for VolumeGeometry:

## Public Member Functions

| VolumeGeometry (const VolumeGeometry &other)
VolumeGeometry & | operator= (VolumeGeometry)
void | accept (Visitor &) override
void | render (const Camera &camera) override
void | end ()
void | clear () override
void | initialize ()
void | resizeFBO (int width, int height)
void | setPositiveColor (const Vector3ub &c)
Vector3ub | positiveColor () const
void | setNegativeColor (const Vector3ub &c)
Vector3ub | negativeColor () const
void | setCube (const Core::Cube &cube)
const Core::Cube * | cube () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual Core::Array< Identifier > | areaHits (const Frustrum &f) const
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Protected Attributes

float | m_boundingVertices [24]
Vector3ub | m_positiveColor
Vector3ub | m_negativeColor
const Core::Cube * | m_cube = nullptr
bool | m_dirty = false
Private * | d
int | m_width
int | m_height
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Additional Inherited Members

Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.

## Member Function Documentation

## accept()

void accept | ( | Visitor & |  | ) |

override virtual

Accept a visit from our friendly visitor.

Reimplemented from Drawable.

## render()

void render | ( | const Camera & | camera | ) |

override virtual

Render the volume.

Reimplemented from Drawable.

## end()

void end | ( |  | ) |

Destroy all GL resources (FBO, textures, etc.).

## clear()

void clear | ( |  | ) |

override virtual

Clear the contents of the node.

Reimplemented from Drawable.

## initialize()

void initialize | ( |  | ) |

Call once to initialize all GL objects/shaders.

## setPositiveColor()

void setPositiveColor | ( | const Vector3ub & | c | ) |

Colors for positive/negative isovalues (for real volume rendering).

## setCube()

void setCube | ( | const Core::Cube & | cube | ) |

Assign which Cube to render.

The documentation for this class was generated from the following file:

- volumegeometry.h